Bug 1871700 (CVE-2020-15810) - CVE-2020-15810 squid: HTTP Request Smuggling could result in cache poisoning
Summary: CVE-2020-15810 squid: HTTP Request Smuggling could result in cache poisoning
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-15810
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1871701 1872327 1872328 1872329 1872330 1872331
Blocks: 1871707
TreeView+ depends on / blocked
 
Reported: 2020-08-24 04:53 UTC by Michael Kaplan
Modified: 2020-09-30 07:01 UTC (History)
5 users (show)

Fixed In Version: squid 4.13, squid 5.0.4
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in squid. Due to incorrect data validation, a HTTP Request Smuggling attack against HTTP and HTTPS traffic is possible leading to cache poisoning. The highest threat from this vulnerability is to data confidentiality and integrity.
Clone Of:
Environment:
Last Closed: 2020-09-03 19:17:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3623 None None None 2020-09-03 13:00:57 UTC
Red Hat Product Errata RHSA-2020:4082 None None None 2020-09-30 07:01:12 UTC

Description Michael Kaplan 2020-08-24 04:53:32 UTC
Due to incorrect data validation Squid is vulnerable to HTTP Request Smuggling
attacks against HTTP and HTTPS traffic. This leads to cache poisoning.

Upstream Advisory:

https://github.com/squid-cache/squid/security/advisories/GHSA-3365-q9qx-f98m

Affected Versions: 2.5-3.5.28, 4.0-4.12, 5.0.1-5.0.3
Fixed Versions: 4.13, 5.0.4

Comment 1 Michael Kaplan 2020-08-24 04:55:19 UTC
Created squid tracking bugs for this issue:

Affects: fedora-all [bug 1871701]

Comment 4 Cedric Buissart 2020-08-27 07:33:40 UTC
Mitigation:

Disable the relaxed HTTP parser in `squid.conf`:

```
relaxed_header_parser off
```

Comment 6 errata-xmlrpc 2020-09-03 13:00:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions
  Red Hat Enterprise Linux 8.1 Extended Update Support
  Red Hat Enterprise Linux 8

Via RHSA-2020:3623 https://access.redhat.com/errata/RHSA-2020:3623

Comment 7 Product Security DevOps Team 2020-09-03 19:17:43 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-15810

Comment 9 errata-xmlrpc 2020-09-30 07:01:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4082 https://access.redhat.com/errata/RHSA-2020:4082


Note You need to log in before you can comment on or make changes to this bug.